# Uses of Class
org.jmol.shapebio.BioShape

Packages that use BioShape
Package
Description
org.jmol.renderbio
org.jmol.shapebio

## Uses of BioShape in org.jmol.renderbio

Methods in org.jmol.renderbio with parameters of type BioShape
Modifier and Type
Method
Description
`void`
BioMeshRenderer.`initialize(ShapeRenderer bsr, BioShape bioShape, int monomerCount)`
`protected void`
BackboneRenderer.`renderBioShape(BioShape bioShape)`
`protected void`
CartoonRenderer.`renderBioShape(BioShape bioShape)`
`protected void`
MeshRibbonRenderer.`renderBioShape(BioShape bioShape)`
`protected void`
RibbonsRenderer.`renderBioShape(BioShape bioShape)`
`protected void`
RocketsRenderer.`renderBioShape(BioShape bioShape)`
`protected void`
StrandsRenderer.`renderBioShape(BioShape bioShape)`
`protected void`
TraceRenderer.`renderBioShape(BioShape bioShape)`
`protected boolean`
RocketsRenderer.`setupRR(BioShape bioShape, boolean isRockets)`

## Uses of BioShape in org.jmol.shapebio

Fields in org.jmol.shapebio declared as BioShape
Modifier and Type
Field
Description
`BioShape[]`
BioShapeCollection.`bioShapes`
Methods in org.jmol.shapebio that return BioShape
Modifier and Type
Method
Description
`BioShape`
BioShapeCollection.`getBioShape(int i)`